{
  "name": "todo-list",
  "version": "1.0.1",
  "description": "Todo",
  "main": "index.js",
  "pre-commit": [
    "lint-break-on-errors"
  ],
  "scripts": {
    "start": "cross-env NODE_ENV=\"development\" NODE_SERVER=\"local\" webpack-dashboard --minimal -- webpack-dev-server",
    "start:max": "cross-env NODE_SERVER=\"local\" webpack-dashboard -- webpack-dev-server",
    "start:mock": "yarn mockups | cross-env MOCKUPS_ENABLED=\"true\" yarn start",
    "clean:build": "rimraf build",
    "build": "yarn clean:build && cross-env NODE_ENV=\"production\" NODE_SERVER=\"production\" webpack",
    "build:dev": "yarn clean:build && cross-env NODE_ENV=\"production\" NODE_SERVER=\"development\" webpack",
    "build:local": "yarn clean:build && cross-env NODE_ENV=\"production\" NODE_SERVER=\"local\" webpack",
    "lint-break-on-errors": "eslint ./src/js ./webpack.config.js -f table --ext .js --ext .jsx",
    "lint": "eslint ./src/js ./webpack.config.js -f table --ext .js --ext .jsx || true",
    "preview": "yarn build && cross-env NODE_ENV=\"production\" NODE_SERVER=\"local\" webpack-dashboard -- webpack-dev-server",
    "preview:static": "yarn build && http-server ./build -p 3002",
    "hook-add": "prepush install",
    "hook-remove": "prepush remove",
    "test": "echo \"Error: no test specified\" && exit 1",
    "mockups": "node mockups/run"
  },
  "devDependencies": {
    "autoprefixer": "^6.5.3",
    "babel-core": "^6.26.0",
    "babel-eslint": "^8.0.3",
    "babel-loader": "^6.2.4",
    "babel-plugin-syntax-decorators": "^6.13.0",
    "babel-plugin-transform-class-properties": "^6.6.0",
    "babel-plugin-transform-decorators-legacy": "^1.3.4",
    "babel-plugin-transform-runtime": "^6.6.0",
    "babel-polyfill": "^6.16.0",
    "babel-preset-es2015": "^6.22.0",
    "babel-preset-react": "^6.5.0",
    "babel-preset-react-hmre": "^1.1.1",
    "babel-preset-stage-0": "^6.16.0",
    "babel-runtime": "^6.6.1",
    "base-64": "^0.1.0",
    "colors": "^1.1.2",
    "cross-env": "^5.0.1",
    "css-loader": "0.28.1",
    "dotenv": "^4.0.0",
    "eslint": "^4.12.1",
    "eslint-config-airbnb": "^15.0.1",
    "eslint-loader": "^1.9.0",
    "eslint-plugin-import": "^2.2.0",
    "eslint-plugin-jsx-a11y": "^5.0.1",
    "eslint-plugin-react": "^7.1.0",
    "extract-text-webpack-plugin": "^2.0.0",
    "favicons-webpack-plugin": "^0.0.7",
    "file-loader": "^0.9.0",
    "html-webpack-plugin": "^2.24.1",
    "http-server": "^0.9.0",
    "json-server": "^0.12.1",
    "node-sass": "^4.5.2",
    "postcss-loader": "^1.3.3",
    "pre-commit": "^1.2.2",
    "redux-devtools": "^3.3.1",
    "redux-devtools-dock-monitor": "^1.1.1",
    "redux-devtools-log-monitor": "^1.2.0",
    "rimraf": "^2.6.1",
    "sass-loader": "^4.0.2",
    "style-loader": "^0.17.0",
    "url-loader": "^0.5.7",
    "webpack": "^3.10.0",
    "webpack-dashboard": "^0.4.0",
    "webpack-dev-server": "^2.9.5"
  },
  "dependencies": {
    "classnames": "^2.2.5",
    "custom-event": "^1.0.1",
    "firebase": "^5.4.1",
    "history": "^4.6.3",
    "immutable": "^3.8.1",
    "lodash": "^4.17.4",
    "material-ui": "^0.20.0",
    "md5": "^2.2.1",
    "moment": "^2.22.1",
    "prop-types": "^15.5.10",
    "query-string": "^5.0.1",
    "react": "^16.2.0",
    "react-addons-shallow-compare": "^15.6.0",
    "react-custom-scrollbars": "^4.2.1",
    "react-dates": "^16.6.1",
    "react-dom": "^16.2.0",
    "react-dropzone": "^4.2.11",
    "react-json-view": "^1.17.1",
    "react-paginate": "^5.0.0",
    "react-rangeslider": "^2.2.0",
    "react-redux": "^5.0.6",
    "react-router": "^4.3.1",
    "react-router-dom": "^4.3.1",
    "react-router-redux": "^4.0.8",
    "react-transition-group": "^1.2.0",
    "redux": "^3.7.2",
    "redux-dynamic-reducer": "^2.0.0",
    "redux-form": "^7.2.0",
    "redux-logger": "^3.0.6",
    "redux-promise": "^0.6.0",
    "redux-thunk": "^2.2.0",
    "reselect": "^3.0.1",
    "store": "^2.0.12",
    "uniqid": "^5.0.3"
  },
  "babel": {
    "plugins": [
      "transform-decorators-legacy",
      "syntax-decorators",
      "transform-class-properties"
    ],
    "presets": [
      [
        "es2015",
        {
          "modules": false
        }
      ],
      "react",
      "stage-0"
    ],
    "env": {
      "development": {
        "presets": [
          "react-hmre"
        ]
      }
    }
  },
  "eslintConfig": {
    "extends": "eslint-config-airbnb",
    "parser": "babel-eslint",
    "settings": {
      "ecmascript": 6
    },
    "parserOptions": {
      "ecmaFeatures": {
        "jsx": true,
        "modules": true,
        "destructuring": true,
        "classes": true,
        "forOf": true,
        "blockBindings": true,
        "arrowFunctions": true
      }
    },
    "env": {
      "browser": true
    },
    "globals": {
      "__IS_PRODUCTION__": true,
      "__DEV_TOOL__": true,
      "__SERVER__": true
    },
    "rules": {
      "arrow-body-style": 0,
      "arrow-parens": 0,
      "class-methods-use-this": 0,
      "func-names": 0,
      "indent": 2,
      "linebreak-style": 0,
      "new-cap": 0,
      "max-len": [
        0,
        120,
        4,
        {
          "ignoreComments": true,
          "ignoreUrls": true,
          "ignorePattern": "^\\s*var\\s.+=\\s*require\\s*\\("
        }
      ],
      "no-plusplus": 0,
      "no-return-assign": 0,
      "no-shadow": 0,
      "quote-props": 0,
      "no-bitwise": 0,
      "template-curly-spacing": [
        2,
        "always"
      ],
      "comma-dangle": [
        "error",
        {
          "arrays": "always-multiline",
          "objects": "always-multiline",
          "imports": "always-multiline",
          "exports": "always-multiline",
          "functions": "never"
        }
      ],
      "jsx-quotes": [
        2,
        "prefer-single"
      ],
      "react/forbid-prop-types": 0,
      "react/jsx-curly-spacing": [
        2,
        "always"
      ],
      "react/jsx-filename-extension": 0,
      "react/jsx-boolean-value": 0,
      "react/prefer-stateless-function": 0,
      "react/require-default-props": 0,
      "react/no-access-state-in-setstate": 1,
      "no-param-reassign": 0,
      "import/extensions": 0,
      "import/no-extraneous-dependencies": 0,
      "import/no-unresolved": 0,
      "import/prefer-default-export": 0,
      "jsx-a11y/no-static-element-interactions": 0,
      "jsx-a11y/href-no-hash": "off",
      "jsx-a11y/anchor-is-valid": [
        "warn",
        {
          "aspects": [
            "invalidHref"
          ]
        }
      ]
    }
  },
  "eslintIgnore": [
    "src/js/components/Templates/*"
  ]
}
